org.eclipse.oomph.util

## Class Predicates.ExcludedPredicate<T>

- java.lang.Object
- - org.eclipse.oomph.util.Predicates.ExcludedPredicate<T>

- All Implemented Interfaces:
    Predicate<T>
  Enclosing class:
    Predicates

      public static final class Predicates.ExcludedPredicate<T>
      extends Object
      implements Predicate<T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Predicates.ExcludedPredicate(Set<T> exclusions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `apply(T element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Predicates.ExcludedPredicate

          public Predicates.ExcludedPredicate(Set<T> exclusions)

  - ### Method Detail

    - #### apply

          public boolean apply(T element)

      Specified by:
        `apply` in interface `Predicate<T>`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html